﻿import es
import langlib
import popuplib

# ******************** Load ********************
def load():
	create_popup()

# ******************** Create popup ********************
def create_popup():
	common = langlib.Strings("cstrike/addons/eventscripts/soccer_mod_2010/language/common.ini")
	text = langlib.Strings("cstrike/addons/eventscripts/soccer_mod_2010/language/info/popup_info_commands.ini")

	popup = popuplib.create("sm_popup_info_commands")

	popup.addline("SOCCER MOD %s" % (text("title")))
	popup.addline(" ")
	popup.addline("- %s - %s" % (es.ServerVar("sm_cmd_info"), text("info")))
	popup.addline("- %s - %s" % (es.ServerVar("sm_cmd_admin"), text("admin")))
	popup.addline("- %s - %s" % (es.ServerVar("sm_cmd_vote"), text("vote")))

	if es.ServerVar("sm_module_cap_on") == 1:
		popup.addline("- %s - %s" % (es.ServerVar("sm_cmd_cap_pick"), text("pick")))

	if es.ServerVar("sm_module_match_on") == 1:
		popup.addline("- %s - %s" % (es.ServerVar("sm_cmd_match_start"), text("start")))
		popup.addline("- %s - %s" % (es.ServerVar("sm_cmd_match_pause"), text("pause")))
		popup.addline("- %s - %s" % (es.ServerVar("sm_cmd_match_unpause"), text("unpause")))
		popup.addline("- %s - %s" % (es.ServerVar("sm_cmd_match_stop"), text("stop")))

		if es.ServerVar("sm_module_match_stats_on") == 1:
			popup.addline("- %s - %s" % (es.ServerVar("sm_cmd_match_stats"), text("stats")))

	if es.ServerVar("sm_module_shout_on") == 1:
		popup.addline("- %s - %s" % (es.ServerVar("sm_cmd_shout"), text("shout")))

	if es.ServerVar("sm_module_skins_on") == 1:
		popup.addline("- %s - %s" % (es.ServerVar("sm_cmd_skins_gk"), text("gk")))

	if es.ServerVar("sm_module_sprint_on") == 1:
		popup.addline("- %s - %s" % (es.ServerVar("sm_cmd_sprint"), text("sprint")))

	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (common("close")))

	popup.submenu(1, "sm_popup_info_commands")
	popup.submenu(2, "sm_popup_info_commands")
	popup.submenu(3, "sm_popup_info_commands")
	popup.submenu(4, "sm_popup_info_commands")
	popup.submenu(5, "sm_popup_info_commands")
	popup.submenu(6, "sm_popup_info_commands")
	popup.submenu(7, "sm_popup_info_commands")
	popup.submenu(8, "sm_popup_info_commands")
	popup.submenu(9, "sm_popup_info")

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_info_commands")