﻿import langlib
import popuplib

# ******************** Load ********************
def load():
	create_popup()

# ******************** Create popup ********************
def create_popup():
	common = langlib.Strings("cstrike/addons/eventscripts/soccer_mod_2010/language/common.ini")
	text = langlib.Strings("cstrike/addons/eventscripts/soccer_mod_2010/language/info/popup_info_credits.ini")

	popup = popuplib.create("sm_popup_info_credits")

	popup.addline("SOCCER MOD %s" % (text("title")))
	popup.addline(" ")
	popup.addline("%s:" % (text("script")))
	popup.addline("- FCD | Cor Lems")
	popup.addline("- FCD | Marco Boogers")
	popup.addline(" ")
	popup.addline("%s:" % (text("skins")))
	popup.addline("- FCD | Termi")
	popup.addline(" ")
	popup.addline("%s:" % (text("ball_model")))
	popup.addline("- FCD | Marco Boogers")
	popup.addline(" ")
	popup.addline("%s:" % (text("translations")))
	popup.addline("- FCD | Marco Boogers (English)")
	popup.addline("- FCD | Tanker (Dutch/Nederlands)")
	popup.addline("- FCD | Termi (German/Deutsch)")
	popup.addline("- K.M.O.D. (French/Français)")
	popup.addline("- Apolo (Spanish/Español)")
	popup.addline("- Sychev (Russian/Русский)")
	popup.addline("- James BL00dField (Portuguese/Português)")
	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (common("close")))

	popup.submenu(1, "sm_popup_info_credits")
	popup.submenu(2, "sm_popup_info_credits")
	popup.submenu(3, "sm_popup_info_credits")
	popup.submenu(4, "sm_popup_info_credits")
	popup.submenu(5, "sm_popup_info_credits")
	popup.submenu(6, "sm_popup_info_credits")
	popup.submenu(7, "sm_popup_info_credits")
	popup.submenu(8, "sm_popup_info_credits")
	popup.submenu(9, "sm_popup_info")

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_info_credits")