﻿import es
import langlib
import popuplib

text = langlib.Strings("cstrike/addons/eventscripts/soccer_mod_2010/language/info/popup_info_help.ini")

# ******************** Load ********************
def load():
	create_popup()

# ******************** Create popup ********************
def create_popup():
	common = langlib.Strings("cstrike/addons/eventscripts/soccer_mod_2010/language/common.ini")

	popup = popuplib.create("sm_popup_info_help")

	popup.addline(text("title"))
	popup.addline(" ")
	popup.addline(text("question"))
	popup.addline(" ")
	popup.addline(text("knife_ball"))
	popup.addline(text("aim_lower"))
	popup.addline(text("stay_formation"))
	popup.addline(text("bind_sprint"))
	popup.addline(" ")
	popup.addline("->1. %s" % text("view_tutorial"))
	popup.addline("->2. %s" % text("stop_tutorial"))
	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (common("close")))

	popup.select(1, view_website)
	popup.select(2, view_website)
	popup.submenu(3, "sm_popup_info_help")
	popup.submenu(4, "sm_popup_info_help")
	popup.submenu(5, "sm_popup_info_help")
	popup.submenu(6, "sm_popup_info_help")
	popup.submenu(7, "sm_popup_info_help")
	popup.submenu(8, "sm_popup_info_help")
	popup.submenu(9, "sm_popup_info")

# ******************** Popup choices ********************
def view_website(userid, choice, popupname):
	if choice == 1:
		cmd = 'usermsg motd %s 2 "%s" "http://www.youtube.com/watch?v=j_aHXJJztYA"' % (userid, text("tutorial_title"))
	elif choice == 2:
		cmd = 'usermsg motd %s 2 "Soccer Mod 2010" "http://addons.eventscripts.com/addons/view/soccer_mod_2010"' % (userid)

	es.server.queuecmd(cmd)

	popuplib.send(popupname, userid)

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_info_help")