﻿import es

# ******************** Load ********************
def load():
	add_command("sm_cmd_admin", "soccer_mod_2010/admin/cmd_admin")
	add_command("sm_cmd_info", "soccer_mod_2010/info/cmd_info")
	add_command("sm_cmd_vote", "soccer_mod_2010/vote/cmd_vote")

	if es.ServerVar("sm_module_cap_on") == 1:
		add_command("sm_cmd_cap_pick", "soccer_mod_2010/cap/pick/cmd_pick")

	if es.ServerVar("sm_module_match_on") == 1:
		add_command("sm_cmd_match_start", "soccer_mod_2010/match/cmd_match_start")
		add_command("sm_cmd_match_pause", "soccer_mod_2010/match/cmd_match_pause")
		add_command("sm_cmd_match_unpause", "soccer_mod_2010/match/cmd_match_unpause")
		add_command("sm_cmd_match_stop", "soccer_mod_2010/match/cmd_match_stop")

		if es.ServerVar("sm_module_match_stats_on") == 1:
			add_command("sm_cmd_match_stats", "soccer_mod_2010/match/stats/cmd_stats")

	if es.ServerVar("sm_module_skins_on") == 1:
		add_command("sm_cmd_skins_gk", "soccer_mod_2010/skins/cmd_gk")

	if es.ServerVar("sm_module_shout_on") == 1:
		add_command("sm_cmd_shout", "soccer_mod_2010/shout/cmd_shout")

	if es.ServerVar("sm_module_sprint_on") == 1:
		add_command("sm_cmd_sprint", "soccer_mod_2010/sprint/cmd_sprint")

# ******************** Functions ********************
def add_command(name, block):
	cmd = es.ServerVar(name)
	es.regsaycmd(cmd, block)
	es.regclientcmd(cmd, block)

def remove_command(name):
	cmd = es.ServerVar(name)
	es.unregsaycmd(cmd)
	es.unregclientcmd(cmd)

# ******************** Unload ********************
def unload():
	remove_command("sm_cmd_admin")
	remove_command("sm_cmd_info")
	remove_command("sm_cmd_vote")

	if es.ServerVar("sm_module_cap_on") == 1:
		remove_command("sm_cmd_cap_pick")

	if es.ServerVar("sm_module_match_on") == 1:
		remove_command("sm_cmd_match_start")
		remove_command("sm_cmd_match_pause")
		remove_command("sm_cmd_match_unpause")
		remove_command("sm_cmd_match_stop")

		if es.ServerVar("sm_module_match_stats_on") == 1:
			remove_command("sm_cmd_match_stats")

	if es.ServerVar("sm_module_skins_on") == 1:
		remove_command("sm_cmd_skins_gk")

	if es.ServerVar("sm_module_shout_on") == 1:
		remove_command("sm_cmd_shout")

	if es.ServerVar("sm_module_sprint_on") == 1:
		remove_command("sm_cmd_sprint")